<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="./style.css">
    <title>Document</title>
</head>

<body>
    <div class="container">
        <form class="form_class">
            <h1>Code Bind</h1>
            <div class="row" id="signintext">
                <h1>Sign up</h1>
            </div>
            <div class="column header" id="logintext">
                <h1>Log in</h1>
            </div>
            <div id="sign" class="signupform row">
                <div class="row">

                    <div class="column">
                        <label>UserName:</label>
                    </div>
                    <div class="column">
                        <input type="text" placeholder="UserName">
                    </div>
                </div>

                <div class="row">

                    <div class="column">
                        <label>Name:</label>
                    </div>

                    <div class="column">
                        <input type="text" placeholder="Name">
                    </div>
                </div>

                <div class="row">

                    <div class="column">

                        <label>Email:</label>
                    </div>
                    <div class="column">

                        <input type="text" placeholder="Email">
                    </div>
                </div>

                <div class="row">

                    <div class="column">

                        <label>Password:</label>
                    </div>
                    <div class="column">

                        <input type="password" placeholder="Password">
                    </div>
                    <p>
                    <div class="column header" onclick="onLogin();">
                        Already have an account? Login
                    </div>
                    </p>
                </div>
            </div>

            <div id="login" class="loginform row">
                <div class="row">

                    <div class="column">
                        <label>UserName:</label>
                    </div>
                    <div class="column">
                        <input type="text" placeholder="UserName">
                    </div>
                </div>


                <div class="row">

                    <div class="column">

                        <label>Password:</label>
                    </div>
                    <div class="column">

                        <input type="text" placeholder="Password">
                    </div>
                    <p>
                    <div class="column header" onclick="onSignup();">
                        Don't have an account?Sign up
                    </div>
                    </p>
                </div>
            </div>

            <button onclick="onSubmit();return false">Submit</button>
        </form>
    </div>
    <script>
        let login = false;
        function handleChange() {
            console.log("handle Change")
        }

        function onSignup() {
            console.log('on signup clicked');
            document.getElementById('sign').style.display = 'block';
            document.getElementById('login').style.display = 'none';
            document.getElementById('logintext').style.display = 'none'
            document.getElementById('signintext').style.display = 'block'

        }
        function onSubmit() {
            console.log(login);
            if (login) {
                document.location.href = "./login-success.html"
            } else {
                document.location.href = "./signup-success.html";
            }
        }

        function onLogin() {
            console.log('on login clicked');
            document.getElementById('sign').style.display = 'none';
            document.getElementById('login').style.display = 'block';
            document.getElementById('signintext').style.display = 'none'
            document.getElementById('logintext').style.display = 'block';
            login = true;
        }


        onSignup();
    </script>
</body>

</html>